QChildEvent(3qt)

NAME
QChildEvent - Event parameters for child widget events

SYNOPSIS

#include <qevent.h>

Inherits QEvent.

  Public Members
QChildEvent ( int type, QWidget * child )
QWidget* child () const
bool inserted () const
bool removed () const

DESCRIPTION
The QChildEvent class contains event parameters for child widget events.

Child events are sent to widgets when children are inserted or removed.

In this release of Qt, no event handlers are defined to receive child events. Reimplement QObject::event() or install an QObject::eventFilter() to handle these events.

MEMBER FUNCTION DOCUMENTATION

QChildEvent::QChildEvent ( int type, QWidget * child )
Constructs a child event object.

The type parameter must be either Event_ChildInserted or Event_ChildRemoved.

QWidget * QChildEvent::child () const
Returns the child widget inserted or removed.

bool QChildEvent::inserted () const
Returns TRUE if the widget received a new child.

bool QChildEvent::removed () const
Returns TRUE if the widget lost a child.

SEE ALSO
http://www.troll.no/qt/qchildevent.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.